VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   4080
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   6225
   LinkTopic       =   "Form1"
   ScaleHeight     =   4080
   ScaleWidth      =   6225
   StartUpPosition =   3  'Windows Default
   Begin VB.PictureBox picWatermark2 
      AutoSize        =   -1  'True
      Height          =   1005
      Left            =   240
      Picture         =   "Form1.frx":0000
      ScaleHeight     =   945
      ScaleWidth      =   3645
      TabIndex        =   2
      Top             =   1320
      Visible         =   0   'False
      Width           =   3705
   End
   Begin VB.PictureBox picWatermark1 
      AutoSize        =   -1  'True
      Height          =   1005
      Left            =   240
      Picture         =   "Form1.frx":B466
      ScaleHeight     =   945
      ScaleWidth      =   3645
      TabIndex        =   1
      Top             =   120
      Visible         =   0   'False
      Width           =   3705
   End
   Begin VB.PictureBox picBackground 
      AutoSize        =   -1  'True
      Height          =   4110
      Left            =   0
      Picture         =   "Form1.frx":168CC
      ScaleHeight     =   4050
      ScaleWidth      =   6180
      TabIndex        =   0
      Top             =   0
      Width           =   6240
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

' Return (A * clr1 + (255-A) * clr2)\256.
Private Function CombineColors(ByVal clr1 As OLE_COLOR, ByVal clr2 As OLE_COLOR, ByVal A As Byte) As OLE_COLOR
Dim r1 As Long
Dim g1 As Long
Dim b1 As Long
Dim r2 As Long
Dim g2 As Long
Dim b2 As Long

    b1 = Int(clr1 / 65536)
    g1 = Int((clr1 - (65536 * b1)) / 256)
    r1 = clr1 - ((b1 * 65536) + (g1 * 256))

    b2 = Int(clr2 / 65536)
    g2 = Int((clr2 - (65536 * b2)) / 256)
    r2 = clr2 - ((b2 * 65536) + (g2 * 256))

    r1 = (A * r1 + (255 - A) * r2) \ 256
    g1 = (A * g1 + (255 - A) * g2) \ 256
    b1 = (A * b1 + (255 - A) * b2) \ 256

    CombineColors = r1 + 256 * g1 + 65536 * b1
End Function

Private Sub Form_Load()
Dim x As Integer
Dim y As Integer

    picBackground.AutoRedraw = True
    picWatermark1.AutoRedraw = True
    picWatermark2.AutoRedraw = True

    picBackground.ScaleMode = vbPixels
    picWatermark1.ScaleMode = vbPixels
    picWatermark2.ScaleMode = vbPixels

    x = (picBackground.ScaleWidth - picWatermark1.ScaleWidth) \ 2
    y = (picBackground.ScaleHeight - picWatermark1.ScaleHeight) \ 3
    DrawWatermark picWatermark1, picBackground, x, y

    y = 2 * (picBackground.ScaleHeight - picWatermark1.ScaleHeight) \ 3
    DrawWatermark picWatermark2, picBackground, x, y
End Sub
' Copy the watermark image over the result image.
Private Sub DrawWatermark(ByVal wm_pic As PictureBox, ByVal bg_pic As PictureBox, ByVal x As Integer, ByVal y As Integer)
Const ALPHA As Byte = 128
Dim transparent As OLE_COLOR
Dim wm_clr As OLE_COLOR
Dim bg_clr As OLE_COLOR
Dim new_clr As OLE_COLOR
Dim px As Integer
Dim py As Integer

    ' Get the transparent color.
    transparent = wm_pic.Point(0, 0)

    ' Combine the images.
    wm_pic.ScaleMode = vbPixels
    bg_pic.ScaleMode = vbPixels
    For py = 0 To wm_pic.ScaleHeight - 1
        For px = 0 To wm_pic.ScaleWidth - 1
            wm_clr = wm_pic.Point(px, py)
            If wm_clr <> transparent Then
                bg_clr = bg_pic.Point(x + px, y + py)
                new_clr = CombineColors(wm_clr, bg_clr, ALPHA)
                bg_pic.PSet (x + px, y + py), new_clr
            End If
        Next px
    Next py
End Sub
